import{s as lt,n as mt,o as dt}from"../chunks/scheduler.7da89386.js";import{S as ct,i as ht,g as a,s as n,r as l,A as ft,h as s,f as t,c as r,j as v,u as m,x as u,k as $,y as o,a as i,v as d,d as c,t as h,w as f}from"../chunks/index.0b7befd3.js";import{D as C}from"../chunks/Docstring.80026b50.js";import{H as le,E as pt}from"../chunks/EditOnGithub.0cb2bc8e.js";function _t(Qe){let k,ce,me,he,j,fe,I,pe,_,P,Ie,K,Xe="Logger for the evaluation parameters.",Pe,w,z,ze,Q,Ye="Logs the information about the arguments passed to the method.",Ve,D,V,Ne,X,Ze="Logs the model information.",_e,N,ve,p,H,He,Y,et="Logger for the experiment details.",Ae,Z,tt="Stores and logs experiment information both at the task and at the sample level.",Oe,M,A,Se,ee,ot=`Aggregate the details and hashes for each task and then for all tasks.
We end up with a dict of compiled details for each task and a dict of compiled details for all tasks.`,qe,G,O,Ue,te,gt="Stores the relevant information for one sample of one task to the total list of samples stored in the DetailsLogger.",ue,S,$e,b,q,Re,oe,nt="Logs the actual scores for each metric of each task.",We,T,U,Be,ge,rt="Aggregate the metrics for each task and then for all tasks.",be,R,xe,x,W,Fe,ne,at="Logger of the tasks versions.",Je,re,st="Tasks can have a version number/date, which indicates what is the precise metric definition and dataset version used for an evaluation.",Le,B,Ce,y,F,Ke,ae,it="Logs the different parameters of the current <code>LightevalTask</code> of interest.",ke,J,ye,de,we;return j=new le({props:{title:"Loggers",local:"loggers",headingTag:"h1"}}),I=new le({props:{title:"GeneralConfigLogger",local:"lighteval.logging.info_loggers.GeneralConfigLogger",headingTag:"h2"}}),P=new C({props:{name:"class lighteval.logging.info_loggers.GeneralConfigLogger",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger",parameters:[],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.lighteval_sha",description:"<strong>lighteval_sha</strong> (str) &#x2014; Current commit sha of lighteval used for the evaluation (for reproducibility purposes)",name:"lighteval_sha"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.num_fewshot_seeds",description:`<strong>num_fewshot_seeds</strong> (int) &#x2014; Number of seeds for the few-shot sampling.
If equal to or below 1, the experiment is done once only, with a single few-shot seed (equal to 0).
If above, the experiment is reproduced several times, with a different sampling/shuffling for the few-shot examples, which follows what is done in HELM for example.`,name:"num_fewshot_seeds"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.override_batch_size",description:`<strong>override_batch_size</strong> (int) &#x2014; Manages the batch size.
If strictly positive, its value is used as the batch size for all experiments.
Else, the batch size is automatically inferred depending on what fits in memory.`,name:"override_batch_size"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.max_samples",description:`<strong>max_samples</strong> (int) &#x2014; If set, cuts the number of samples per task to <code>max_samples</code>.
Note: This should only be used for debugging purposes!`,name:"max_samples"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.job_id",description:`<strong>job_id</strong> (int) &#x2014; If the evaluation suite is launched as a slurm job, stores the current job id.
Purely informative parameter used to retrieve scheduler logs.`,name:"job_id"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.start_time",description:"<strong>start_time</strong> (float) &#x2014; Start time of the experiment. Logged at class init.",name:"start_time"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.end_time",description:"<strong>end_time</strong> (float) &#x2014; End time of the experiment. Logged when calling <code>GeneralConfigLogger.log_end_time</code>",name:"end_time"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.total_evaluation_time_secondes",description:"<strong>total_evaluation_time_secondes</strong> (str) &#x2014; Inferred total evaluation time in seconds (from the start and end times).",name:"total_evaluation_time_secondes"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_name",description:"<strong>model_name</strong> (str) &#x2014; Name of the currently evaluated model.",name:"model_name"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_sha",description:"<strong>model_sha</strong> (str) &#x2014; Commit hash of the currently evaluated model on the hub if available.",name:"model_sha"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_dtype",description:"<strong>model_dtype</strong> (str) &#x2014; Dtype of the model weights, as obtained when loading the model config.",name:"model_dtype"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.model_size",description:"<strong>model_size</strong> (str) &#x2014; Model size as obtained when loading the model config.",name:"model_size"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L48"}}),z=new C({props:{name:"log_args_info",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info",parameters:[{name:"num_fewshot_seeds",val:": int"},{name:"override_batch_size",val:": typing.Optional[int]"},{name:"max_samples",val:": typing.Optional[int]"},{name:"job_id",val:": str"},{name:"config",val:": Config = None"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.num_fewshot_seeds",description:"<strong>num_fewshot_seeds</strong> (int) &#x2014; number of few-shot seeds.",name:"num_fewshot_seeds"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.override_batch_size",description:`<strong>override_batch_size</strong> (Union[None, int]) &#x2014; overridden batch size.
If strictly positive, its value is used as the batch size for all experiments.
Else, the batch size is automatically inferred depending on what fits in memory.`,name:"override_batch_size"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.max_samples",description:"<strong>max_samples</strong> (Union[None, int]) &#x2014; maximum number of samples, if None, use all the samples available.",name:"max_samples"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.job_id",description:"<strong>job_id</strong> (str) &#x2014; job ID, used to retrieve logs.",name:"job_id"},{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_args_info.config",description:"<strong>config</strong> (optional) &#x2014; Nanotron Config",name:"config"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L103",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>None</p>
`}}),V=new C({props:{name:"log_model_info",anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_model_info",parameters:[{name:"model_info",val:": ModelInfo"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.GeneralConfigLogger.log_model_info.model_info",description:"<strong>model_info</strong> (ModelInfo) &#x2014; Model information to be logged.",name:"model_info"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L133"}}),N=new le({props:{title:"DetailsLogger",local:"lighteval.logging.info_loggers.DetailsLogger",headingTag:"h2"}}),H=new C({props:{name:"class lighteval.logging.info_loggers.DetailsLogger",anchor:"lighteval.logging.info_loggers.DetailsLogger",parameters:[{name:"hashes",val:": dict = <factory>"},{name:"compiled_hashes",val:": dict = <factory>"},{name:"details",val:": dict = <factory>"},{name:"compiled_details",val:": dict = <factory>"},{name:"compiled_details_over_all_tasks",val:": DetailsLogger.CompiledDetailOverAllTasks = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.DetailsLogger.hashes",description:"<strong>hashes</strong> (dict[str, list<code>Hash</code>) &#x2014; Maps each task name to the list of all its samples&#x2019; <code>Hash</code>.",name:"hashes"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_hashes",description:"<strong>compiled_hashes</strong> (dict[str, CompiledHash) &#x2014; Maps each task name to its <code>CompiledHas</code>, an aggregation of all the individual sample hashes.",name:"compiled_hashes"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.details",description:`<strong>details</strong> (dict[str, list<code>Detail</code>]) &#x2014; Maps each task name to the list of its samples&#x2019; details.
Example: winogrande: [sample1_details, sample2_details, &#x2026;]`,name:"details"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_details",description:"<strong>compiled_details</strong> (dict[str, <code>CompiledDetail</code>]) &#x2014; : Maps each task name to the list of its samples&#x2019; compiled details.",name:"compiled_details"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.compiled_details_over_all_tasks",description:"<strong>compiled_details_over_all_tasks</strong> (CompiledDetailOverAllTasks) &#x2014; Aggregated details over all the tasks.",name:"compiled_details_over_all_tasks"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L151"}}),A=new C({props:{name:"aggregate",anchor:"lighteval.logging.info_loggers.DetailsLogger.aggregate",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L407"}}),O=new C({props:{name:"log",anchor:"lighteval.logging.info_loggers.DetailsLogger.log",parameters:[{name:"task_name",val:": str"},{name:"task",val:": LightevalTask"},{name:"doc",val:": Doc"},{name:"outputs",val:": list"},{name:"metrics",val:": dict"},{name:"llm_as_prompt_judgement",val:": typing.Optional[tuple[str, str]] = None"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.task_name",description:"<strong>task_name</strong> (str) &#x2014; Name of the current task of interest.",name:"task_name"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.task",description:"<strong>task</strong> (LightevalTask) &#x2014; Current task of interest.",name:"task"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.doc",description:"<strong>doc</strong> (Doc) &#x2014; Current sample that we want to store.",name:"doc"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.outputs",description:"<strong>outputs</strong> (list[ModelResponse]) &#x2014; Model outputs for the current sample",name:"outputs"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.metrics",description:"<strong>metrics</strong> (<em>type</em>) &#x2014; Model scores for said sample on the current task&#x2019;s metrics.",name:"metrics"},{anchor:"lighteval.logging.info_loggers.DetailsLogger.log.llm_as_prompt_judgement",description:`<strong>llm_as_prompt_judgement</strong> (tuple[str, str]) &#x2014; Tuple containing the
prompt passed to the judge and the judgement for the current sample when using llm-as-judge metric.`,name:"llm_as_prompt_judgement"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L312"}}),S=new le({props:{title:"MetricsLogger",local:"lighteval.logging.info_loggers.MetricsLogger",headingTag:"h2"}}),q=new C({props:{name:"class lighteval.logging.info_loggers.MetricsLogger",anchor:"lighteval.logging.info_loggers.MetricsLogger",parameters:[{name:"metrics_values",val:": dict = <factory>"},{name:"metric_aggregated",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.MetricsLogger.metrics_value",description:`<strong>metrics_value</strong> (dict[str, dict[str, list[float]]]) &#x2014; Maps each task to its dictionary of metrics to scores for all the example of the task.
Example: {&#x201C;winogrande|winogrande_xl&#x201D;: {&#x201C;accuracy&#x201D;: [0.5, 0.5, 0.5, 0.5, 0.5, 0.5]}&#x200C;}`,name:"metrics_value"},{anchor:"lighteval.logging.info_loggers.MetricsLogger.metric_aggregated",description:`<strong>metric_aggregated</strong> (dict[str, dict[str, float]]) &#x2014; Maps each task to its dictionary of metrics to aggregated scores over all the example of the task.
Example: {&#x201C;winogrande|winogrande_xl&#x201D;: {&#x201C;accuracy&#x201D;: 0.5}&#x200C;}`,name:"metric_aggregated"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L464"}}),U=new C({props:{name:"aggregate",anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate",parameters:[{name:"task_dict",val:": dict"},{name:"bootstrap_iters",val:": int = 1000"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate.task_dict",description:"<strong>task_dict</strong> (dict[str, LightevalTask]) &#x2014; used to determine what aggregation function to use for each metric",name:"task_dict"},{anchor:"lighteval.logging.info_loggers.MetricsLogger.aggregate.bootstrap_iters",description:"<strong>bootstrap_iters</strong> (int, optional) &#x2014; Number of runs used to run the statistical bootstrap. Defaults to 1000.",name:"bootstrap_iters"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L486"}}),R=new le({props:{title:"VersionsLogger",local:"lighteval.logging.info_loggers.VersionsLogger",headingTag:"h2"}}),W=new C({props:{name:"class lighteval.logging.info_loggers.VersionsLogger",anchor:"lighteval.logging.info_loggers.VersionsLogger",parameters:[{name:"versions",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.VersionsLogger.version",description:"<strong>version</strong> (dict[str, int]) &#x2014; Maps the task names with the task versions.",name:"version"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L565"}}),B=new le({props:{title:"TaskConfigLogger",local:"lighteval.logging.info_loggers.TaskConfigLogger",headingTag:"h2"}}),F=new C({props:{name:"class lighteval.logging.info_loggers.TaskConfigLogger",anchor:"lighteval.logging.info_loggers.TaskConfigLogger",parameters:[{name:"tasks_configs",val:": dict = <factory>"}],parametersDescription:[{anchor:"lighteval.logging.info_loggers.TaskConfigLogger.tasks_config",description:"<strong>tasks_config</strong> (dict[str, LightevalTaskConfig]) &#x2014; Maps each task to its associated <code>LightevalTaskConfig</code>",name:"tasks_config"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/logging/info_loggers.py#L584"}}),J=new pt({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/logging.mdx"}}),{c(){k=a("meta"),ce=n(),me=a("p"),he=n(),l(j.$$.fragment),fe=n(),l(I.$$.fragment),pe=n(),_=a("div"),l(P.$$.fragment),Ie=n(),K=a("p"),K.textContent=Xe,Pe=n(),w=a("div"),l(z.$$.fragment),ze=n(),Q=a("p"),Q.textContent=Ye,Ve=n(),D=a("div"),l(V.$$.fragment),Ne=n(),X=a("p"),X.textContent=Ze,_e=n(),l(N.$$.fragment),ve=n(),p=a("div"),l(H.$$.fragment),He=n(),Y=a("p"),Y.textContent=et,Ae=n(),Z=a("p"),Z.textContent=tt,Oe=n(),M=a("div"),l(A.$$.fragment),Se=n(),ee=a("p"),ee.textContent=ot,qe=n(),G=a("div"),l(O.$$.fragment),Ue=n(),te=a("p"),te.textContent=gt,ue=n(),l(S.$$.fragment),$e=n(),b=a("div"),l(q.$$.fragment),Re=n(),oe=a("p"),oe.textContent=nt,We=n(),T=a("div"),l(U.$$.fragment),Be=n(),ge=a("p"),ge.textContent=rt,be=n(),l(R.$$.fragment),xe=n(),x=a("div"),l(W.$$.fragment),Fe=n(),ne=a("p"),ne.textContent=at,Je=n(),re=a("p"),re.textContent=st,Le=n(),l(B.$$.fragment),Ce=n(),y=a("div"),l(F.$$.fragment),Ke=n(),ae=a("p"),ae.innerHTML=it,ke=n(),l(J.$$.fragment),ye=n(),de=a("p"),this.h()},l(e){const g=ft("svelte-u9bgzb",document.head);k=s(g,"META",{name:!0,content:!0}),g.forEach(t),ce=r(e),me=s(e,"P",{}),v(me).forEach(t),he=r(e),m(j.$$.fragment,e),fe=r(e),m(I.$$.fragment,e),pe=r(e),_=s(e,"DIV",{class:!0});var E=v(_);m(P.$$.fragment,E),Ie=r(E),K=s(E,"P",{"data-svelte-h":!0}),u(K)!=="svelte-1hbelt4"&&(K.textContent=Xe),Pe=r(E),w=s(E,"DIV",{class:!0});var De=v(w);m(z.$$.fragment,De),ze=r(De),Q=s(De,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-10ayidh"&&(Q.textContent=Ye),De.forEach(t),Ve=r(E),D=s(E,"DIV",{class:!0});var Me=v(D);m(V.$$.fragment,Me),Ne=r(Me),X=s(Me,"P",{"data-svelte-h":!0}),u(X)!=="svelte-i1b6fb"&&(X.textContent=Ze),Me.forEach(t),E.forEach(t),_e=r(e),m(N.$$.fragment,e),ve=r(e),p=s(e,"DIV",{class:!0});var L=v(p);m(H.$$.fragment,L),He=r(L),Y=s(L,"P",{"data-svelte-h":!0}),u(Y)!=="svelte-10h2glb"&&(Y.textContent=et),Ae=r(L),Z=s(L,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-lm3kog"&&(Z.textContent=tt),Oe=r(L),M=s(L,"DIV",{class:!0});var Ge=v(M);m(A.$$.fragment,Ge),Se=r(Ge),ee=s(Ge,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-1ojckoa"&&(ee.textContent=ot),Ge.forEach(t),qe=r(L),G=s(L,"DIV",{class:!0});var Te=v(G);m(O.$$.fragment,Te),Ue=r(Te),te=s(Te,"P",{"data-svelte-h":!0}),u(te)!=="svelte-67ybgo"&&(te.textContent=gt),Te.forEach(t),L.forEach(t),ue=r(e),m(S.$$.fragment,e),$e=r(e),b=s(e,"DIV",{class:!0});var se=v(b);m(q.$$.fragment,se),Re=r(se),oe=s(se,"P",{"data-svelte-h":!0}),u(oe)!=="svelte-1apiyrq"&&(oe.textContent=nt),We=r(se),T=s(se,"DIV",{class:!0});var Ee=v(T);m(U.$$.fragment,Ee),Be=r(Ee),ge=s(Ee,"P",{"data-svelte-h":!0}),u(ge)!=="svelte-kkg900"&&(ge.textContent=rt),Ee.forEach(t),se.forEach(t),be=r(e),m(R.$$.fragment,e),xe=r(e),x=s(e,"DIV",{class:!0});var ie=v(x);m(W.$$.fragment,ie),Fe=r(ie),ne=s(ie,"P",{"data-svelte-h":!0}),u(ne)!=="svelte-1mw4cx5"&&(ne.textContent=at),Je=r(ie),re=s(ie,"P",{"data-svelte-h":!0}),u(re)!=="svelte-4rxdfx"&&(re.textContent=st),ie.forEach(t),Le=r(e),m(B.$$.fragment,e),Ce=r(e),y=s(e,"DIV",{class:!0});var je=v(y);m(F.$$.fragment,je),Ke=r(je),ae=s(je,"P",{"data-svelte-h":!0}),u(ae)!=="svelte-bhh5sj"&&(ae.innerHTML=it),je.forEach(t),ke=r(e),m(J.$$.fragment,e),ye=r(e),de=s(e,"P",{}),v(de).forEach(t),this.h()},h(){$(k,"name","hf:doc:metadata"),$(k,"content",vt),$(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),$(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,g){o(document.head,k),i(e,ce,g),i(e,me,g),i(e,he,g),d(j,e,g),i(e,fe,g),d(I,e,g),i(e,pe,g),i(e,_,g),d(P,_,null),o(_,Ie),o(_,K),o(_,Pe),o(_,w),d(z,w,null),o(w,ze),o(w,Q),o(_,Ve),o(_,D),d(V,D,null),o(D,Ne),o(D,X),i(e,_e,g),d(N,e,g),i(e,ve,g),i(e,p,g),d(H,p,null),o(p,He),o(p,Y),o(p,Ae),o(p,Z),o(p,Oe),o(p,M),d(A,M,null),o(M,Se),o(M,ee),o(p,qe),o(p,G),d(O,G,null),o(G,Ue),o(G,te),i(e,ue,g),d(S,e,g),i(e,$e,g),i(e,b,g),d(q,b,null),o(b,Re),o(b,oe),o(b,We),o(b,T),d(U,T,null),o(T,Be),o(T,ge),i(e,be,g),d(R,e,g),i(e,xe,g),i(e,x,g),d(W,x,null),o(x,Fe),o(x,ne),o(x,Je),o(x,re),i(e,Le,g),d(B,e,g),i(e,Ce,g),i(e,y,g),d(F,y,null),o(y,Ke),o(y,ae),i(e,ke,g),d(J,e,g),i(e,ye,g),i(e,de,g),we=!0},p:mt,i(e){we||(c(j.$$.fragment,e),c(I.$$.fragment,e),c(P.$$.fragment,e),c(z.$$.fragment,e),c(V.$$.fragment,e),c(N.$$.fragment,e),c(H.$$.fragment,e),c(A.$$.fragment,e),c(O.$$.fragment,e),c(S.$$.fragment,e),c(q.$$.fragment,e),c(U.$$.fragment,e),c(R.$$.fragment,e),c(W.$$.fragment,e),c(B.$$.fragment,e),c(F.$$.fragment,e),c(J.$$.fragment,e),we=!0)},o(e){h(j.$$.fragment,e),h(I.$$.fragment,e),h(P.$$.fragment,e),h(z.$$.fragment,e),h(V.$$.fragment,e),h(N.$$.fragment,e),h(H.$$.fragment,e),h(A.$$.fragment,e),h(O.$$.fragment,e),h(S.$$.fragment,e),h(q.$$.fragment,e),h(U.$$.fragment,e),h(R.$$.fragment,e),h(W.$$.fragment,e),h(B.$$.fragment,e),h(F.$$.fragment,e),h(J.$$.fragment,e),we=!1},d(e){e&&(t(ce),t(me),t(he),t(fe),t(pe),t(_),t(_e),t(ve),t(p),t(ue),t($e),t(b),t(be),t(xe),t(x),t(Le),t(Ce),t(y),t(ke),t(ye),t(de)),t(k),f(j,e),f(I,e),f(P),f(z),f(V),f(N,e),f(H),f(A),f(O),f(S,e),f(q),f(U),f(R,e),f(W),f(B,e),f(F),f(J,e)}}}const vt='{"title":"Loggers","local":"loggers","sections":[{"title":"GeneralConfigLogger","local":"lighteval.logging.info_loggers.GeneralConfigLogger","sections":[],"depth":2},{"title":"DetailsLogger","local":"lighteval.logging.info_loggers.DetailsLogger","sections":[],"depth":2},{"title":"MetricsLogger","local":"lighteval.logging.info_loggers.MetricsLogger","sections":[],"depth":2},{"title":"VersionsLogger","local":"lighteval.logging.info_loggers.VersionsLogger","sections":[],"depth":2},{"title":"TaskConfigLogger","local":"lighteval.logging.info_loggers.TaskConfigLogger","sections":[],"depth":2}],"depth":1}';function ut(Qe){return dt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ct extends ct{constructor(k){super(),ht(this,k,ut,_t,lt,{})}}export{Ct as component};
