import{s as he,n as ue,o as be}from"../chunks/scheduler.7da89386.js";import{S as ye,i as $e,g as i,s as a,r as d,A as xe,h as r,f as t,c as l,j as m,u as c,x as re,k as g,y as b,a as n,v as p,d as f,t as v,w as _}from"../chunks/index.0b7befd3.js";import{D as $}from"../chunks/Docstring.80026b50.js";import{H as Ce,E as ke}from"../chunks/EditOnGithub.0cb2bc8e.js";function ze(se){let h,W,H,S,x,G,s,C,ne,L,de="Base configuration class for models.",ae,A,me=`Methods:
<strong>post_init</strong>(): Performs post-initialization checks on the configuration.
_init_configs(model_name, env_config): Initializes the model configuration.
init_configs(env_config): Initializes the model configuration using the environment configuration.
get_model_sha(): Retrieves the SHA of the model.`,R,k,z,j,N,M,J,u,w,le,y,B,ie,P,ce=`Returns the list of optional keys in an endpoint model configuration. By default, the code requires that all the
keys be specified in the configuration in order to launch the endpoint. This function returns the list of keys
that are not required and can remain None.`,K,O,T,Q,F,I,X,D,q,Y,E,Z,V,ee;return x=new Ce({props:{title:"ModelConfig",local:"lighteval.models.model_config.BaseModelConfig",headingTag:"h1"}}),C=new $({props:{name:"class lighteval.models.model_config.BaseModelConfig",anchor:"lighteval.models.model_config.BaseModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.models.model_config.BaseModelConfig.pretrained",description:`<strong>pretrained</strong> (str) &#x2014;
HuggingFace Hub model ID name or the path to a pre-trained
model to load. This is effectively the <code>pretrained_model_name_or_path</code>
argument of <code>from_pretrained</code> in the HuggingFace <code>transformers</code> API.`,name:"pretrained"},{anchor:"lighteval.models.model_config.BaseModelConfig.accelerator",description:"<strong>accelerator</strong> (Accelerator) &#x2014; accelerator to use for model training.",name:"accelerator"},{anchor:"lighteval.models.model_config.BaseModelConfig.tokenizer",description:`<strong>tokenizer</strong> (Optional[str]) &#x2014; HuggingFace Hub tokenizer ID that will be
used for tokenization.`,name:"tokenizer"},{anchor:"lighteval.models.model_config.BaseModelConfig.multichoice_continuations_start_space",description:`<strong>multichoice_continuations_start_space</strong> (Optional[bool]) &#x2014; Whether to add a
space at the start of each continuation in multichoice generation.
For example, context: &#x201C;What is the capital of France?&#x201D; and choices: &#x201C;Paris&#x201D;, &#x201C;London&#x201D;.
Will be tokenized as: &#x201C;What is the capital of France? Paris&#x201D; and &#x201C;What is the capital of France? London&#x201D;.
True adds a space, False strips a space, None does nothing`,name:"multichoice_continuations_start_space"},{anchor:"lighteval.models.model_config.BaseModelConfig.pairwise_tokenization",description:"<strong>pairwise_tokenization</strong> (bool) &#x2014; Whether to tokenize the context and continuation as separately or together.",name:"pairwise_tokenization"},{anchor:"lighteval.models.model_config.BaseModelConfig.subfolder",description:"<strong>subfolder</strong> (Optional[str]) &#x2014; The subfolder within the model repository.",name:"subfolder"},{anchor:"lighteval.models.model_config.BaseModelConfig.revision",description:"<strong>revision</strong> (str) &#x2014; The revision of the model.",name:"revision"},{anchor:"lighteval.models.model_config.BaseModelConfig.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; The batch size for model training.",name:"batch_size"},{anchor:"lighteval.models.model_config.BaseModelConfig.max_gen_toks",description:"<strong>max_gen_toks</strong> (Optional[int]) &#x2014; The maximum number of tokens to generate.",name:"max_gen_toks"},{anchor:"lighteval.models.model_config.BaseModelConfig.max_length",description:"<strong>max_length</strong> (Optional[int]) &#x2014; The maximum length of the generated output.",name:"max_length"},{anchor:"lighteval.models.model_config.BaseModelConfig.add_special_tokens",description:`<strong>add_special_tokens</strong> (bool, optional, defaults to True) &#x2014; Whether to add special tokens to the input sequences.
If <code>None</code>, the default value will be set to <code>True</code> for seq2seq models (e.g. T5) and
<code>False</code> for causal models.`,name:"add_special_tokens"},{anchor:"lighteval.models.model_config.BaseModelConfig.model_parallel",description:`<strong>model_parallel</strong> (bool, optional, defaults to False) &#x2014;
True/False: force to use or not the <code>accelerate</code> library to load a large
model across multiple devices.
Default: None which corresponds to comparing the number of processes with
the number of GPUs. If it&#x2019;s smaller =&gt; model-parallelism, else not.`,name:"model_parallel"},{anchor:"lighteval.models.model_config.BaseModelConfig.dtype",description:`<strong>dtype</strong> (Union[str, torch.dtype], optional, defaults to None) &#x2014;):
Converts the model weights to <code>dtype</code>, if specified. Strings get
converted to <code>torch.dtype</code> objects (e.g. <code>float16</code> -&gt; <code>torch.float16</code>).
Use <code>dtype=&quot;auto&quot;</code> to derive the type from the model&#x2019;s weights.`,name:"dtype"},{anchor:"lighteval.models.model_config.BaseModelConfig.device",description:"<strong>device</strong> (Union[int, str]) &#x2014; device to use for model training.",name:"device"},{anchor:"lighteval.models.model_config.BaseModelConfig.quantization_config",description:`<strong>quantization_config</strong> (Optional[BitsAndBytesConfig]) &#x2014; quantization
configuration for the model, manually provided to load a normally floating point
model at a quantized precision. Needed for 4-bit and 8-bit precision.`,name:"quantization_config"},{anchor:"lighteval.models.model_config.BaseModelConfig.trust_remote_code",description:`<strong>trust_remote_code</strong> (bool) &#x2014; Whether to trust remote code during model
loading.`,name:"trust_remote_code"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L47"}}),z=new $({props:{name:"class lighteval.models.model_config.AdapterModelConfig",anchor:"lighteval.models.model_config.AdapterModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"},{name:"base_model",val:": str = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L203"}}),M=new $({props:{name:"class lighteval.models.model_config.DeltaModelConfig",anchor:"lighteval.models.model_config.DeltaModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"},{name:"base_model",val:": str = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L186"}}),w=new $({props:{name:"class lighteval.models.model_config.InferenceEndpointModelConfig",anchor:"lighteval.models.model_config.InferenceEndpointModelConfig",parameters:[{name:"name",val:": str"},{name:"repository",val:": str"},{name:"accelerator",val:": str"},{name:"vendor",val:": str"},{name:"region",val:": str"},{name:"instance_size",val:": str"},{name:"instance_type",val:": str"},{name:"model_dtype",val:": str"},{name:"framework",val:": str = 'pytorch'"},{name:"endpoint_type",val:": str = 'protected'"},{name:"should_reuse_existing",val:": bool = False"},{name:"add_special_tokens",val:": bool = True"},{name:"revision",val:": str = 'main'"},{name:"namespace",val:": str = None"},{name:"image_url",val:": str = None"},{name:"env_vars",val:": dict = None"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L268"}}),B=new $({props:{name:"nullable_keys",anchor:"lighteval.models.model_config.InferenceEndpointModelConfig.nullable_keys",parameters:[],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L302"}}),T=new $({props:{name:"class lighteval.models.model_config.InferenceModelConfig",anchor:"lighteval.models.model_config.InferenceModelConfig",parameters:[{name:"model",val:": str"},{name:"add_special_tokens",val:": bool = True"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L262"}}),I=new $({props:{name:"class lighteval.models.model_config.TGIModelConfig",anchor:"lighteval.models.model_config.TGIModelConfig",parameters:[{name:"inference_server_address",val:": str"},{name:"inference_server_auth",val:": str"},{name:"model_id",val:": str"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L250"}}),q=new $({props:{name:"class lighteval.models.model_config.VLLMModelConfig",anchor:"lighteval.models.model_config.VLLMModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"gpu_memory_utilisation",val:": float = 0.9"},{name:"revision",val:": str = 'main'"},{name:"dtype",val:": str | None = None"},{name:"tensor_parallel_size",val:": int = 1"},{name:"pipeline_parallel_size",val:": int = 1"},{name:"data_parallel_size",val:": int = 1"},{name:"max_model_length",val:": int | None = None"},{name:"swap_space",val:": int = 4"},{name:"seed",val:": int = 1234"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"add_special_tokens",val:": bool = True"},{name:"multichoice_continuations_start_space",val:": bool = True"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"temperature",val:": float = 0.6"}],source:"https://github.com/huggingface/lighteval/blob/vr_407/src/lighteval/models/model_config.py#L221"}}),E=new ke({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/model_config.mdx"}}),{c(){h=i("meta"),W=a(),H=i("p"),S=a(),d(x.$$.fragment),G=a(),s=i("div"),d(C.$$.fragment),ne=a(),L=i("p"),L.textContent=de,ae=a(),A=i("p"),A.innerHTML=me,R=a(),k=i("div"),d(z.$$.fragment),j=a(),N=i("div"),d(M.$$.fragment),J=a(),u=i("div"),d(w.$$.fragment),le=a(),y=i("div"),d(B.$$.fragment),ie=a(),P=i("p"),P.textContent=ce,K=a(),O=i("div"),d(T.$$.fragment),Q=a(),F=i("div"),d(I.$$.fragment),X=a(),D=i("div"),d(q.$$.fragment),Y=a(),d(E.$$.fragment),Z=a(),V=i("p"),this.h()},l(e){const o=xe("svelte-u9bgzb",document.head);h=r(o,"META",{name:!0,content:!0}),o.forEach(t),W=l(e),H=r(e,"P",{}),m(H).forEach(t),S=l(e),c(x.$$.fragment,e),G=l(e),s=r(e,"DIV",{class:!0});var U=m(s);c(C.$$.fragment,U),ne=l(U),L=r(U,"P",{"data-svelte-h":!0}),re(L)!=="svelte-rh03fc"&&(L.textContent=de),ae=l(U),A=r(U,"P",{"data-svelte-h":!0}),re(A)!=="svelte-mdcuay"&&(A.innerHTML=me),U.forEach(t),R=l(e),k=r(e,"DIV",{class:!0});var ge=m(k);c(z.$$.fragment,ge),ge.forEach(t),j=l(e),N=r(e,"DIV",{class:!0});var pe=m(N);c(M.$$.fragment,pe),pe.forEach(t),J=l(e),u=r(e,"DIV",{class:!0});var te=m(u);c(w.$$.fragment,te),le=l(te),y=r(te,"DIV",{class:!0});var oe=m(y);c(B.$$.fragment,oe),ie=l(oe),P=r(oe,"P",{"data-svelte-h":!0}),re(P)!=="svelte-nya5bv"&&(P.textContent=ce),oe.forEach(t),te.forEach(t),K=l(e),O=r(e,"DIV",{class:!0});var fe=m(O);c(T.$$.fragment,fe),fe.forEach(t),Q=l(e),F=r(e,"DIV",{class:!0});var ve=m(F);c(I.$$.fragment,ve),ve.forEach(t),X=l(e),D=r(e,"DIV",{class:!0});var _e=m(D);c(q.$$.fragment,_e),_e.forEach(t),Y=l(e),c(E.$$.fragment,e),Z=l(e),V=r(e,"P",{}),m(V).forEach(t),this.h()},h(){g(h,"name","hf:doc:metadata"),g(h,"content",Ne),g(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){b(document.head,h),n(e,W,o),n(e,H,o),n(e,S,o),p(x,e,o),n(e,G,o),n(e,s,o),p(C,s,null),b(s,ne),b(s,L),b(s,ae),b(s,A),n(e,R,o),n(e,k,o),p(z,k,null),n(e,j,o),n(e,N,o),p(M,N,null),n(e,J,o),n(e,u,o),p(w,u,null),b(u,le),b(u,y),p(B,y,null),b(y,ie),b(y,P),n(e,K,o),n(e,O,o),p(T,O,null),n(e,Q,o),n(e,F,o),p(I,F,null),n(e,X,o),n(e,D,o),p(q,D,null),n(e,Y,o),p(E,e,o),n(e,Z,o),n(e,V,o),ee=!0},p:ue,i(e){ee||(f(x.$$.fragment,e),f(C.$$.fragment,e),f(z.$$.fragment,e),f(M.$$.fragment,e),f(w.$$.fragment,e),f(B.$$.fragment,e),f(T.$$.fragment,e),f(I.$$.fragment,e),f(q.$$.fragment,e),f(E.$$.fragment,e),ee=!0)},o(e){v(x.$$.fragment,e),v(C.$$.fragment,e),v(z.$$.fragment,e),v(M.$$.fragment,e),v(w.$$.fragment,e),v(B.$$.fragment,e),v(T.$$.fragment,e),v(I.$$.fragment,e),v(q.$$.fragment,e),v(E.$$.fragment,e),ee=!1},d(e){e&&(t(W),t(H),t(S),t(G),t(s),t(R),t(k),t(j),t(N),t(J),t(u),t(K),t(O),t(Q),t(F),t(X),t(D),t(Y),t(Z),t(V)),t(h),_(x,e),_(C),_(z),_(M),_(w),_(B),_(T),_(I),_(q),_(E,e)}}}const Ne='{"title":"ModelConfig","local":"lighteval.models.model_config.BaseModelConfig","sections":[],"depth":1}';function Me(se){return be(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fe extends ye{constructor(h){super(),$e(this,h,Me,ze,he,{})}}export{Fe as component};
